Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1060678

Summary: Repository name change causes modeshape error
Product: [JBoss] JBoss Fuse Service Works 6 Reporter: Stefan Bunciak <sbunciak>
Component: DT GovernanceAssignee: Brett Meyer <brmeyer>
Status: CLOSED NOTABUG QA Contact: Jiri Sedlacek <jsedlace>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 6.0.0 GACC: oskutka, rhauch, soa-p-jira, theute
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-29 18:04:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Stefan Bunciak 2014-02-03 10:48:39 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install, start FSW 6.0.0.CR4(GA) & deploy dtgov workflows
2. Stop the server
3. Change repository name in standalone.xml (e.g.

        <subsystem xmlns="urn:jboss:domain:modeshape:1.0">
            <repository name="sramp2" cache-name="sramp" cache-container="modeshape" security-domain="overlord-idp" anonymous-roles="readonly" use-anonymous-upon-failed-authentication="false"/>
        </subsystem>


)

4. Change user roles for the new repository in application-roles.properties (e.g. admin.sramp2)
5. Change proper sramp jndi path in sramp.properties (e.g. sramp.config.jcr.repository.jndi-path = jcr/sramp2)

Actual results:


11:38:34,545 ERROR [org.modeshape.jcr.query.lucene.basic.BasicLuceneSchema] (modeshape-indexer-5-thread-1) Error extracting text from binary value binary (22.49KB, SHA1=59bbeb9792aa82c7b2cb157ab86b04012246178a): Unable to find binary value with key "59bbeb9792aa82c7b2cb157ab86b04012246178a" within binary store at "/home/sbunciak/runtimes/fsw-6.0.0-CR4/jboss-eap-6.1/standalone/data/modeshape/sramp2/sramp2/binaries": org.modeshape.jcr.value.binary.BinaryStoreException: Unable to find binary value with key "59bbeb9792aa82c7b2cb157ab86b04012246178a" within binary store at "/home/sbunciak/runtimes/fsw-6.0.0-CR4/jboss-eap-6.1/standalone/data/modeshape/sramp2/sramp2/binaries"
	at org.modeshape.jcr.value.binary.FileSystemBinaryStore.getExtractedText(FileSystemBinaryStore.java:421) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.value.binary.AbstractBinaryStore.getText(AbstractBinaryStore.java:123) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.query.lucene.basic.BasicLuceneSchema.addDynamicField(BasicLuceneSchema.java:285) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.query.lucene.basic.BasicLuceneSchema.nodeInfo(BasicLuceneSchema.java:219) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.query.lucene.basic.BasicLuceneSchema.updateIndex(BasicLuceneSchema.java:432) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.RepositoryQueryManager.reindexContent(RepositoryQueryManager.java:385) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.RepositoryQueryManager.reindexContent(RepositoryQueryManager.java:262) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.RepositoryQueryManager.access$000(RepositoryQueryManager.java:71) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.RepositoryQueryManager$1.call(RepositoryQueryManager.java:223) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.RepositoryQueryManager$1.call(RepositoryQueryManager.java:219) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at java.util.concurrent.FutureTask.run(FutureTask.java:262) [rt.jar:1.7.0_45]
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_45]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_45]
	at java.lang.Thread.run(Thread.java:744) [rt.jar:1.7.0_45]

11:38:35,321 ERROR [org.modeshape.jcr.query.lucene.basic.BasicLuceneSchema] (modeshape-indexer-5-thread-1) Error extracting text from binary value binary (80.53KB, SHA1=350bec0284ff6571d953f484a1f44b8e4a05b859): Unable to find binary value with key "350bec0284ff6571d953f484a1f44b8e4a05b859" within binary store at "/home/sbunciak/runtimes/fsw-6.0.0-CR4/jboss-eap-6.1/standalone/data/modeshape/sramp2/sramp2/binaries": org.modeshape.jcr.value.binary.BinaryStoreException: Unable to find binary value with key "350bec0284ff6571d953f484a1f44b8e4a05b859" within binary store at "/home/sbunciak/runtimes/fsw-6.0.0-CR4/jboss-eap-6.1/standalone/data/modeshape/sramp2/sramp2/binaries"
	at org.modeshape.jcr.value.binary.FileSystemBinaryStore.getExtractedText(FileSystemBinaryStore.java:421) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.value.binary.AbstractBinaryStore.getText(AbstractBinaryStore.java:123) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.query.lucene.basic.BasicLuceneSchema.addDynamicField(BasicLuceneSchema.java:285) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.query.lucene.basic.BasicLuceneSchema.nodeInfo(BasicLuceneSchema.java:219) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.query.lucene.basic.BasicLuceneSchema.updateIndex(BasicLuceneSchema.java:432) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.RepositoryQueryManager.reindexContent(RepositoryQueryManager.java:385) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.RepositoryQueryManager.reindexContent(RepositoryQueryManager.java:262) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.RepositoryQueryManager.access$000(RepositoryQueryManager.java:71) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.RepositoryQueryManager$1.call(RepositoryQueryManager.java:223) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.RepositoryQueryManager$1.call(RepositoryQueryManager.java:219) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at java.util.concurrent.FutureTask.run(FutureTask.java:262) [rt.jar:1.7.0_45]
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_45]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_45]
	at java.lang.Thread.run(Thread.java:744) [rt.jar:1.7.0_45]

11:38:35,596 ERROR [org.modeshape.jcr.query.lucene.basic.BasicLuceneSchema] (modeshape-indexer-5-thread-1) Error extracting text from binary value binary (104.32KB, SHA1=ad7d20a43f34b3e3ccc379ac9de8ae266f9b5fb2): Unable to find binary value with key "ad7d20a43f34b3e3ccc379ac9de8ae266f9b5fb2" within binary store at "/home/sbunciak/runtimes/fsw-6.0.0-CR4/jboss-eap-6.1/standalone/data/modeshape/sramp2/sramp2/binaries": org.modeshape.jcr.value.binary.BinaryStoreException: Unable to find binary value with key "ad7d20a43f34b3e3ccc379ac9de8ae266f9b5fb2" within binary store at "/home/sbunciak/runtimes/fsw-6.0.0-CR4/jboss-eap-6.1/standalone/data/modeshape/sramp2/sramp2/binaries"
	at org.modeshape.jcr.value.binary.FileSystemBinaryStore.getExtractedText(FileSystemBinaryStore.java:421) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.value.binary.AbstractBinaryStore.getText(AbstractBinaryStore.java:123) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.query.lucene.basic.BasicLuceneSchema.addDynamicField(BasicLuceneSchema.java:285) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.query.lucene.basic.BasicLuceneSchema.nodeInfo(BasicLuceneSchema.java:219) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.query.lucene.basic.BasicLuceneSchema.updateIndex(BasicLuceneSchema.java:432) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.RepositoryQueryManager.reindexContent(RepositoryQueryManager.java:385) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.RepositoryQueryManager.reindexContent(RepositoryQueryManager.java:262) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.RepositoryQueryManager.access$000(RepositoryQueryManager.java:71) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.RepositoryQueryManager$1.call(RepositoryQueryManager.java:223) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at org.modeshape.jcr.RepositoryQueryManager$1.call(RepositoryQueryManager.java:219) [modeshape-jcr-3.3.6.GA-redhat-5.jar:3.3.6.GA-redhat-5]
	at java.util.concurrent.FutureTask.run(FutureTask.java:262) [rt.jar:1.7.0_45]
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_45]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_45]
	at java.lang.Thread.run(Thread.java:744) [rt.jar:1.7.0_45]




Expected results:


Additional info:

Comment 1 Brett Meyer 2014-07-28 20:47:27 UTC
Stefan, this looks there's some sort of stale data.  This might be a question for ModeShape or Infinispan, but I'm wondering if you'd have to clear out the indexes first (either manually, by setting up query->indexing->rebuildOnStartup on the ModeShape config, etc.).  See $JBOSS_HOME/standalone/data/modeshape/sramp/indexes

Comment 2 Randall Hauch 2014-07-29 17:44:47 UTC
By default the persistent store, binary values and indexes are stored in a directory path that includes the repository name, so changing the repository name means the resulting persistent data will not be found unless the directory structures are changed accordingly.